## pacutils-0.11.1-2.src.tar.zst

=== src/Makefile ===
-include ../configure.mk
-include configure.mk

ALPM_CFLAGS ?= $(shell pkg-config libalpm --cflags)

CFLAGS ?= -Wall -Wextra -Wpedantic -Werror -g

override CFLAGS   += $(ALPM_CFLAGS)
override CPPFLAGS += -I../lib
override LDFLAGS  += -L../lib
override LDLIBS   += -lpacutils -lalpm -larchive

PREFIX      ?= /usr/local
EXEC_PREFIX ?= ${PREFIX}
BINDIR      ?= ${EXEC_PREFIX}/bin
INCLUDEDIR  ?= ${PREFIX}/include
LIBDIR      ?= ${EXEC_PREFIX}/lib
SYSCONFDIR  ?= ${PREFIX}/etc

FILESDBEXT ?= .files
PACMANCONF ?= ${SYSCONFDIR}/pacman.conf

override CPPFLAGS += \
					 -DFILESDBEXT=\"$(FILESDBEXT)\" \
					 -DPACMANCONF=\"$(PACMANCONF)\" \
					 -DSYSCONFDIR=\"$(SYSCONFDIR)\"

GITTAG = $(shell git describe --abbrev=0 2>/dev/null)
ifneq ($(GITTAG),)
    GITVER = $(subst $(GITTAG)-,,$(shell git describe --dirty))
    ifneq ($(GITTAG),$(GITVER))
        override CPPFLAGS += -DGITVER=\"$(GITVER)\"
    endif
endif

OBJECTS = \
		  paccapability \
		  paccheck \
		  pacconf \
		  pacfile \
		  pacinfo \
		  pacini \
		  paclock \
		  paclog \
		  pacrepairdb \
		  pacrepairfile \
		  pacreport \
		  pacsift \
		  pacsync \
		  pactrans

all: $(OBJECTS) pacinstall pacremove

pacsift: LDLIBS += -lm

pacremove: | pactrans
	ln -fs $| $@

pacinstall: | pactrans
	ln -fs $| $@

install: all
	install -d "${DESTDIR}${BINDIR}"
	install -m 755 $(OBJECTS) "${DESTDIR}${BINDIR}/"
	cp -d          pacinstall "${DESTDIR}${BINDIR}/pacinstall"
	cp -d          pacremove  "${DESTDIR}${BINDIR}/pacremove"

clean:
	$(RM) $(OBJECTS) pacinstall pacremove

.PHONY: all clean install

=== ext/globdir.c/ext/tap.c/t/Makefile ===
CFLAGS += -Wall -Wextra -Wpedantic -Werror -g

override CPPFLAGS += -I..

TESTS = 01-sanity.t 10-basic.t

01-sanity.t: CFLAGS += -std=c99 -pedantic -Werror

%.t: %.c ../tap.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $< $(LDLIBS) -o $@

check: tests
	prove .

tests: $(TESTS)

all: tests

Weverything: CC = clang
Weverything: CFLAGS += -Weverything
Weverything: check

gcov: CC = gcc
gcov: CFLAGS += -fprofile-arcs -ftest-coverage
gcov: check
	gcov $(TESTS)

clean:
	$(RM) $(TESTS)
	$(RM) tmp_*
	$(RM) *.gcov *.gcda *.gcno

.PHONY: all clean check gcov tests Weverything

=== PKGBUILD ===
# Maintainer: Jeremy Drake <github@jdrake.com>

pkgname=(pacutils pacutils-devel)
pkgver=0.11.1
pkgrel=2
pkgdesc="Utility library for libalpm front-ends (MSYS2 port)"
arch=('i686' 'x86_64')
url="https://github.com/andrewgregory/pacutils"
license=('MIT')
depends=('gcc-libs'
         'libarchive'
         'libcurl'
         'libgpgme'
         'libiconv'
         'libopenssl'
         'pacman')
makedepends=('libarchive-devel'
             'libcurl-devel'
             'libgpgme-devel'
             'perl'
             'make'
             'gcc')
source=("${pkgname}-${pkgver}.tar.gz::https://github.com/andrewgregory/${pkgname}/archive/refs/tags/v${pkgver}.tar.gz"
        "0003-msysize.patch")
sha256sums=('e47c3a49eaa23a75473f563d3d868b2ac3e056dd57170149b4ba935538faf64e'
            'ad5f1aceee99a56f6ff39aaa03fabf99df7d5f6cdca60d842054f07754c44ab5')

prepare() {
  cd "${srcdir}/${pkgname}-${pkgver}"

  patch -Np1 -i "${srcdir}/0003-msysize.patch"
}

build() {
  cd "${srcdir}/${pkgname}-${pkgver}"

  make all doc PREFIX=/usr LOCALSTATEDIR=/var SYSCONFDIR=/etc SOPREFIX=msys- SOEXT=dll
  make -j1 DESTDIR="${srcdir}/prefix-${CARCH}" install PREFIX=/usr LOCALSTATEDIR=/var SYSCONFDIR=/etc SOPREFIX=msys- SOEXT=dll
}

check() {
  cd "${srcdir}/${pkgname}-${pkgver}"

  make check PREFIX=/usr LOCALSTATEDIR=/var SYSCONFDIR=/etc SOPREFIX=msys- SOEXT=dll
}

package_pacutils() {
  cd "${srcdir}"

  cp -fR "${srcdir}/prefix-${CARCH}/"* "${pkgdir}"
  rm -rf "${pkgdir}/usr/"{include,lib,share/man/man3}
}

package_pacutils-devel() {
  cd "${srcdir}"

  mkdir -p "${pkgdir}/usr/share/man"
  cp -fR "${srcdir}/prefix-${CARCH}/usr/"{include,lib} "${pkgdir}/usr/"
  cp -fR "${srcdir}/prefix-${CARCH}/usr/share/man/man3" "${pkgdir}/usr/share/man/"
}
